# registry_clean
apiVersion: batch/v1
kind: CronJob
metadata:
  name: {{ include "registry.fullname" . }}-cleanup
  labels:
    {{- include "registry.labels" . | nindent 4 }}
spec:
  schedule: "0 * * * *"
  jobTemplate:
    spec:
      template:
        spec:
          restartPolicy: OnFailure
          containers:
            - name: {{ .Chart.Name }}
              image: "{{ .Values.cleanup.image.repository }}:{{ .Values.cleanup.image.tag | default .Chart.AppVersion }}"
              imagePullPolicy: {{ .Values.image.pullPolicy }}
              env:
              - name: DOCKER_REGISTRY_URL
                value: "http://registry:5000"
              - name: DOCKER_REGISTRY_HISTORY
                value: "1"
              - name: CONFIG
                value: /app/mount/config.yaml
              volumeMounts:
                - name: config
                  mountPath: /app/mount
          volumes:
            - name: config
              configMap:
                name: {{ include "registry.fullname" . }}-cleanup
                items:
                  - key: config.yaml
                    path: config.yaml
---
apiVersion: batch/v1
kind: CronJob
metadata:
  name: {{ include "registry.fullname" . }}-garbage-collect
  labels:
    {{- include "registry.labels" . | nindent 4 }}
spec:
  schedule: "5 * * * *"
  jobTemplate:
    spec:
      template:
        spec:
          restartPolicy: OnFailure
          containers:
            - name: {{ .Chart.Name }}
              image: "{{ .Values.image.repository }}:{{ .Values.image.tag | default .Chart.AppVersion }}"
              imagePullPolicy: {{ .Values.image.pullPolicy }}
              command: ["/bin/registry"]
              args:
                - garbage-collect
                - --delete-untagged
                - /etc/docker/registry/config.yml
              env:
              - name: REGISTRY_STORAGE_DELETE_ENABLED
                value: "true"
              volumeMounts:
                - name: images
                  mountPath: /var/lib/registry/
                - name: config
                  mountPath: /etc/docker/registry
          volumes:
            - name: images
              persistentVolumeClaim:
                claimName: {{ include "registry.fullname" . }}-pvc
            - name: config
              configMap:
                name: {{ include "registry.fullname" . }}-config
                items:
                  - key: config.yaml
                    path: config.yaml
